#ifndef MATH_INT_H
#define MATH_INT_H

void bldc_sin_thi(uint16_t angle, int16_t *u, int16_t *v, int16_t *w);
int16_t expo(int16_t input);
int16_t sin_int(int16_t angle);
int16_t cos_int(int16_t angle);
int32_t limit(int32_t x, int32_t min, int32_t max);
int16_t atan2_int(int16_t y, int16_t x);
uint16_t sqrt_int(uint32_t x);

#endif // MATH_INT_H
